Linux Kernel SYS_EPoll_Wait Local Integer Overflow Vulnerability

Bugtraq ID: 12763
Class: Boundary Condition Error
CVE: CVE-2005-0736
Remote: No
Local: Yes
Published: Mar 09 2005 12:00AM
Updated: Aug 05 2010 07:45PM
Credit: Georgi Guninski <guninski@guninski.com> is credited with the discovery of this issue.
Vulnerable: Redhat Fedora Core3
Redhat Fedora Core2
Redhat Enterprise Linux WS 4
Redhat Enterprise Linux ES 4
Redhat Enterprise Linux AS 4
Redhat Desktop 4.0
Linux kernel 2.6.11
+ Redhat Fedora Core4
Linux kernel 2.6.10
+ Redhat Fedora Core3
+ Redhat Fedora Core2
+ Trustix Secure Linux 3.0
+ Ubuntu Ubuntu Linux 5.0 4 powerpc
+ Ubuntu Ubuntu Linux 5.0 4 i386
+ Ubuntu Ubuntu Linux 5.0 4 amd64
Linux kernel 2.6.9
Linux kernel 2.6.8
+ S.u.S.E. Linux Personal 9.2 x86_64
+ S.u.S.E. Linux Personal 9.2
+ Ubuntu Ubuntu Linux 4.1 ppc
+ Ubuntu Ubuntu Linux 4.1 ia64
+ Ubuntu Ubuntu Linux 4.1 ia32
Linux kernel 2.6.7
Linux kernel 2.6.6
Linux kernel 2.6.5
+ S.u.S.E. Linux Personal 9.1 x86_64
+ S.u.S.E. Linux Personal 9.1 x86_64
+ S.u.S.E. Linux Personal 9.1
+ S.u.S.E. Linux Personal 9.1
+ SuSE Linux Enterprise Server 9
Linux kernel 2.6.4
Linux kernel 2.6.3
Linux kernel 2.6.2
Linux kernel 2.6.1
Linux kernel 2.6
Not Vulnerable:


 

Privacy Statement
Copyright 2010, SecurityFocus